/* @Packager.Header
<FileDescription>
	Dialog windows operations. (IE specific implementations)
</FileDescription>
<Author name="Frederico Caldeira Knabben" email="www.fckeditor.net" />
*/

FCKDialog.Show = function( dialogInfo, dialogName, pageUrl, dialogWidth, dialogHeight, parentWindow, resizable )
{
	if ( !parentWindow )
		parentWindow = window ;

	var sOptions = 'help:no;scroll:no;status:no' +
		';resizable:'  + ( resizable ? 'yes' : 'no' ) +
		';dialogWidth:' + dialogWidth + 'px' +
		';dialogHeight:' + dialogHeight + 'px' ;

	FCKFocusManager.Lock() ;
	
	var oReturn = 'B' ;
	
	try
	{
		oReturn = parentWindow.showModalDialog( pageUrl, dialogInfo, sOptions ) ;
	}
	catch( e ) {}
	
	if ( 'B' === oReturn )
		alert( FCKLang.DialogBlocked ) ;	

	FCKFocusManager.Unlock() ;
}
